package _VisualDVM.Visual.Menus.MainMenuBar;
import Common.Visual.Menus.VisualiserMenu;
import _VisualDVM.Passes.PassCode;
public class GlobalCleaningMenu extends VisualiserMenu {
    public GlobalCleaningMenu() {
        super("Очистка", "/Common/icons/Clean.png", false);
        addPasses(PassCode.DropLastProjects, PassCode.DropFastAccess);
        addSeparator();
        addPasses(PassCode.DeleteDownloadedBugReports);
        addSeparator();
        addPasses(PassCode.DropAnalyses,
                PassCode.CleanAnalyses,
                PassCode.DropSavedArrays,
                PassCode.DeleteDebugResults);
        addSeparator();
        addPasses(PassCode.ResetCurrentProject);
    }
}
